{{page-title (t 'E-Mail')}}

<div class='container'>

  <div class='row'>
    <div class='col'>
      <h1>{{t 'E-Mail'}}</h1>
    </div>
  </div>

  <div class='row mt-4'>
    <div class='col'>
      <label for='input-mail-type'>{{t 'E-Mail service'}}</label>
      <select
        class='form-select input-mail-type'
        id='input-mail-type'
        onchange={{action
          (mut this.model.mail_type.value)
          value='target.value'
        }}
        disabled={{this.isSaving}}
      >
        {{#each this.mailType as |item|}}
          <option
            value={{item}}
            selected={{eq this.model.mail_type.value item}}
          >{{t item}}</option>
        {{/each}}
      </select>
    </div>
  </div>

  {{#if this.isMailerSend}}
    <div class='row mt-4'>
      <div class='col'>
        <label for='input-mailersend-key'>{{t 'mailersend.com key'}}</label>
        <Input
          @value={{this.model.mailersend_key.value}}
          class='form-control input-mailersend-key'
          id='input-mailersend-key'
          disabled={{this.isSaving}}
        />
      </div>
    </div>

    <div class='row mt-4'>
      <div class='col'>
        <label for='input-mailersend-from'>{{t
            'the email used to send the emails'
          }}</label>
        <Input
          @value={{this.model.mailersend_from.value}}
          class='form-control input-mailersend-from'
          id='input-mailersend-from'
          disabled={{this.isSaving}}
        />
      </div>
    </div>
  {{/if}}

  {{#if this.isSMTP}}
    <div class='row mt-4'>
      <div class='col'>
        <label for='input-smtp-auth-type'>{{t
            'authentication type to use'
          }}</label>
        <select
          class='form-select input-smtp-auth-type'
          id='input-smtp-auth-type'
          onchange={{action
            (mut this.model.authType.value)
            value='target.value'
          }}
          disabled={{this.isSaving}}
        >
          {{#each this.SMTPAuthType as |item|}}
            <option
              value={{item}}
              selected={{eq this.model.authType.value item}}
            >{{t item}}</option>
          {{/each}}
        </select>
      </div>
    </div>

    <div class='row mt-4'>
      <div class='col'>
        <label for='input-smtp-connection-type'>{{t
            'type of encryption protocol to use'
          }}</label>
        <select
          class='form-select input-smtp-connection-type'
          id='input-smtp-connection-type'
          onchange={{action
            (mut this.model.connectionType.value)
            value='target.value'
          }}
          disabled={{this.isSaving}}
        >
          {{#each this.SMTPConnectionType as |item|}}
            <option
              value={{item}}
              selected={{eq this.model.connectionType.value item}}
            >{{t item}}</option>
          {{/each}}
        </select>
      </div>
    </div>

    <div class='row mt-4'>
      <div class='col'>
        <label for='input-smtp-host'>{{t 'SMTP host'}}</label>
        <Input
          @value={{this.model.host.value}}
          class='form-control input-smtp-host'
          id='input-smtp-host'
          disabled={{this.isSaving}}
        />
      </div>
    </div>

    <div class='row mt-4'>
      <div class='col'>
        <label for='input-smtp-port'>{{t 'SMTP port'}}</label>
        <Input
          @value={{this.model.port.value}}
          class='form-control input-smtp-port'
          id='input-smtp-port'
          @type='number'
          disabled={{this.isSaving}}
        />
      </div>
    </div>

    <div class='row mt-4'>
      <div class='col'>
        <label for='input-smtp-from'>{{t
            'the email used to send the emails'
          }}</label>
        <Input
          @value={{this.model.from.value}}
          class='form-control input-smtp-from'
          id='input-smtp-from'
          disabled={{this.isSaving}}
        />
      </div>
    </div>

    <div class='row mt-4'>
      <div class='col'>
        <label for='input-smtp-username'>{{t
            'user name to use for authentication'
          }}</label>
        <Input
          @value={{this.model.username.value}}
          class='form-control input-smtp-username'
          id='input-smtp-username'
          disabled={{this.isSaving}}
        />
      </div>
    </div>

    <div class='row mt-4'>
      <div class='col'>
        <label for='input-smtp-password'>{{t
            'password to use for authentication'
          }}</label>
        <Input
          @value={{this.model.password.value}}
          class='form-control input-smtp-password'
          id='input-smtp-password'
          @type='password'
          disabled={{this.isSaving}}
        />
      </div>
    </div>
  {{/if}}

  <div class='row mt-3 mb-5'>
    <div class='col'>
      <Input::Button
        class='btn {{if this.isSavingError "btn-danger" "btn-primary"}}'
        @disabled={{this.isDisabled}}
        @action={{this.save}}
      >
        {{capitalize (t 'save')}}
      </Input::Button>
    </div>
    <div class='col'>
      <Input::Button
        class='btn btn-secondary btn-test-message'
        @action={{this.sendTestMessage}}
      >
        {{capitalize (t 'send test email')}}
      </Input::Button>
    </div>
  </div>
</div>